local addonName, L = ...;

local function sideFramesExecFunc()
	for i = 1, 3 do
		local frame = _G["ALSpec_LeftFrame"..i];
		frame:Update();
		
		frame = _G["ALSpec_RightFrame"..i];
		frame:Update();
	end
end

local function targetFramesExecFunc(affectedVariable)
	local newValue = ArenaLiveCore:GetDBEntry(addonName, "TargetFrame/"..affectedVariable);
	
	-- Set Target-of-Target Frames variable:
	ArenaLiveCore:SetDBEntry(addonName, "TargetOfTargetFrame/"..affectedVariable, newValue);
	
	ALSpec_TargetFrame:Update();
	ALSpec_TargetOfTargetFrame:Update();
end

function ALSpec_OptionsUnitFrames:Initialise()
	local prefix = self:GetName();
	
	-- Add Option Panel:
	self.name = L["UNIT_FRAME_PANEL_NAME"];
	self.parent = L["ADDON_PANEL_NAME"];
	InterfaceOptions_AddCategory(self); 
	
	-- Set Text:
	_G[prefix.."Title"]:SetText(L["UNIT_FRAME_PANEL_TITLE"]);
	_G[prefix.."SideFramesTitle"]:SetText(L["UNIT_FRAME_SIDE_FRAMES_TITLE"]);
	_G[prefix.."TargetFramesTitle"]:SetText(L["UNIT_FRAME_TARGET_FRAMES_TITLE"]);
	
	ArenaLiveOptions:InitialiseDropDownMenu(_G[prefix.."SideFramesHealthBarColourDropDown"], "HealthBarColourMode", addonName, "SideFrames/HealthBar/ColourMode", sideFramesExecFunc, nil, nil, nil);
	ArenaLiveOptions:InitialiseDropDownMenu(_G[prefix.."SideFramesIcon1DropDown"], "IconType", addonName, "SideFrames/Icon1/Type", sideFramesExecFunc, {[5] = true,}, nil, L["UNIT_FRAME_LEFT_ICON"]);
	ArenaLiveOptions:InitialiseDropDownMenu(_G[prefix.."SideFramesIcon2DropDown"], "IconType", addonName, "SideFrames/Icon2/Type", sideFramesExecFunc, {[5] = true,}, nil, L["UNIT_FRAME_RIGHT_ICON"]);
	
	ArenaLiveOptions:InitialiseDropDownMenu(_G[prefix.."TargetFramesHealthBarColourDropDown"], "HealthBarColourMode", addonName, "TargetFrame/HealthBar/ColourMode", function() targetFramesExecFunc("HealthBar/ColourMode") end, nil, nil, nil);
	ArenaLiveOptions:InitialiseDropDownMenu(_G[prefix.."TargetFramesIcon1DropDown"], "IconType", addonName, "TargetFrame/Icon1/Type", function() targetFramesExecFunc("Icon1/Type") end, {[5] = true,}, nil, L["UNIT_FRAME_LEFT_ICON"]);
	ArenaLiveOptions:InitialiseDropDownMenu(_G[prefix.."TargetFramesIcon2DropDown"], "IconType", addonName, "TargetFrame/Icon2/Type", function() targetFramesExecFunc("Icon2/Type") end, {[5] = true,}, nil, L["UNIT_FRAME_RIGHT_ICON"]);

end